Summary:	Data compression library providing in-memory LZMA compression and decompression
Summary(pl.UTF-8):	Biblioteka zapewniająca kompresję i dekompresję LZMA dla danych w pamięci
Name:		lzlib
Version:	1.8
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	http://download.savannah.gnu.org/releases/lzip/lzlib/%{name}-%{version}.tar.lz
# Source0-md5:	db1cb5f549ecaefea50bc1baddb6e2ef
Patch0:		%{name}-info.patch
URL:		http://savannah.nongnu.org/projects/lzip/
BuildRequires:	lzip
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lzlib is a data compression library providing in-memory LZMA
compression and decompression functions, including integrity checking
of the decompressed data. The compressed data format used by the
library is the lzip format. Lzlib is written in C.

%description -l pl.UTF-8
Lzlib to biblioteka kompresji danych zapewniająca funkcje do kompresji
i dekompresji LZMA w pamięci wraz z kontrolą integralności
dekompresowanych danych. Format skompresowanych danych używany przez
bibliotekę to format lzip. Biblioteka jest napisana w C.

%package devel
Summary:	Header file for lzlib library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki lzlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for lzlib library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki lzlib.

%package static
Summary:	Static lzlib library
Summary(pl.UTF-8):	Statyczna biblioteka lzlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lzlib library.

%description static -l pl.UTF-8
Statyczna biblioteka lzlib.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-shared
%{__make} all info

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/liblz.so.*.*
%attr(755,root,root) %ghost %{_libdir}/liblz.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblz.so
%{_includedir}/lzlib.h
%{_infodir}/lzlib.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/liblz.a
%changelog
* Tue Sep 13 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lzlib.git;a=log;h=master

* Mon Sep 12 2016 Jakub Bogusz <qboosh@pld-linux.org> cd03bdf
- updated to 1.8
- updated info patch

* Mon Nov 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 4859721
- new

